<?php

namespace App\Modules\HtlCampBookingPassenger\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface HtlCampBookingPassengerRepository
{
    public function find(StorageCriteria $action): HtlCampBookingPassenger | null;
    public function search(StorageCriteria $action): array;
    public function searchBySchedule(StorageCriteria $action): array;
    public function searchAll(StorageCriteria $action): array;
    public function searchByPassenger(StorageCriteria $criteria): array;
    public function insert(HtlCampBookingPassenger $model);
    public function update(HtlCampBookingPassenger $model);
}
